// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
function XYinter = PolylineIntersection ( POLY , SEGMENT )

    XYstart1 = POLY(1:($-1),:);
    XYend1 = POLY(2:$,:);
    n = size(POLY,'r')-1;

    XYstart2 = SEGMENT(1,:).*.ones(n,1);
    XYend2 = SEGMENT(2,:).*.ones(n,1);
    
    [k1,k2,intrsct,XYinter] = SegmentIntersection ( XYstart1,XYend1, XYstart2,XYend2 );
    
    XYinter = XYinter(intrsct,:);
        
endfunction
