// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
function C = RasterFind ( HandleRaster , threshold )
    
    Header = GetFloatRasterHeader ( HandleRaster ) ;
    
    ncols = Header(1);    
    nrows = Header(2);
    
    C = [] ;
                     
    for r=0:(nrows-1)
        
       ixr = [0:(ncols-1)]' + r*ncols; 
       rowh = sci_GetRasterRow ( HandleRaster , r ) ;
       C = [C;ixr(rowh>threshold)] ;
       
    end
        
endfunction
