// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
function [alpha,theta] = TP_esthetique (X , xmin , F)
    
    // Ajuste une loi tapered Pareto sur un échantillon de valeur X par minimisation de l'erreur en log-log
    
    x = X(X>=xmin)/xmin;
    x = x(:);
    f = F(X>=xmin);
    f = f(:);
        
    param = [log(x),1-x]\log(1-f);
    
    alpha = -param(1);
    theta = 1/param(2);
    
endfunction
