/* 
* 
* Copyright (C) 2013 UMPC
* 
* This file is part of CLaRiNet.
*  
* CLaRiNet is free software: you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* CLaRiNet is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef STRAHLER_H
#define STRAHLER_H

#include "GeoMorph.h"

int StrahlerOrdering_ ( CellTree * T , float * _threshold , FloatRaster * R ,  int * _nsrc , int ** _SRC );

#ifdef __cplusplus
extern "C" {
#endif
    int StrahlerOrdering ( int HandleTree , float threshold , int HandleRaster , int * _nsrc , int ** _SRC );
#ifdef __cplusplus
}
#endif

int MakeStrahlerStreams_ ( CellTree * T , float * _threshold , CellTree * Ancestor , int * _s , int * _ssib , int * _nstreams , int ** _StreamLength , int ** _StreamOrder , int ** _StreamConnect , int *** _StreamCells , int * _ncurr , int * _nsib );

#ifdef __cplusplus
extern "C" {
#endif
    int MakeStrahlerStreams ( int HandleTree , float * _threshold , int * _nstreams , int ** _StreamLength , int ** _StreamOrder , int ** _StreamConnect , int *** _StreamCells );
#ifdef __cplusplus
}
#endif


#endif
