// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
// ====================================================================
// Allan CORNET
// Simon LIPP
// INRIA 2008
// This file is released into the public domain
// ====================================================================

src_cpp_path = get_absolute_file_path('builder_cpp.sce');

CPPFLAGS = "-I" + src_cpp_path;

if getos()=="Windows" 
cpplibname = 'libCLaRiNet'
else
cpplibname = 'CLaRiNet'
end

tbx_build_src(	['CreateFloatRaster','SetRasterToNODATA','SetRasterToConstant','DestroyFloatRaster','CreateFlowDirGrid','DestroyFlowDirGrid','CreateFloatRasterFromBinaryFile','GetFloatRasterHeader','GetFloatRasterData','GetCatchmentSize','GetCatchmentCells','GetRasterValue','PutRasterValue','RasterCDF','RasterFind','RasterFindTransition','MainBifurcationNode','MakeDistanceMap','GetDownstreamSet','MakeElevConsistentWithFlowDir','CreateCellTree','DestroyCellTree','MakeStreamLines','SampleMainStream','SyntheticHypso','GetRasterRowAddr','PutRasterRow','FlagCatchmentCells','SegmentationTopo','MakeFlowLineThroughPoint','BuildPaths'] , ..
		['Erreur.cpp','esriheader.cpp','FloatRaster.cpp','FlowDirGrid.cpp','InOut.cpp','Topology.cpp','RasterCalc.cpp','Correction.cpp','CellTree.cpp','Hypsometry.cpp','FiniteSizeScaling.cpp','Strahler.cpp','MeshTree.cpp','Mesh.cpp','Hausdorff.cpp','Kriging.cpp','Ridge.cpp'], 'cpp', src_cpp_path, '', '', CPPFLAGS , '' , '' , cpplibname);

clear tbx_build_src;
clear src_cpp_path;
clear CPPFLAGS;
