// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
// ====================================================================
// Allan CORNET
// Simon LIPP
// INRIA 2008
// This file is released into the public domain
// ====================================================================

src_fortran_path = get_absolute_file_path('builder_fortran.sce');
FFLAGS = "-I" + src_fortran_path;

if getos()=="Windows"
fortlibname = "libLinSolve"
else
fortlibname = "LinSolve"
end

// librairie "LinSolve"

tbx_build_src(['mydpotrs','mydpotrf','mydsytrs','mydsytrf'], ['dpotrf.f','dpotrs.f','dtrsm.f','ieeeck.f','ilaenv.f','iparmq.f','lsame.f','xerbla.f','dsytrf.f','dsytrs.f','dsytf2.f','dlasyf.f','dlaisnan.f','disnan.f'], 'f', get_absolute_file_path('builder_fortran.sce'),'','','',FFLAGS,'',fortlibname);

clear tbx_build_src;
clear src_fortran_path;
clear FFLAGS;
