// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
function h = CropRaster(HandleSrc,BB,varargin)
    
    if length(varargin,'*')>0 then
        nom = varargin(1);
    else
        nom = "noname";
    end
    
    Header = GetFloatRasterHeader (HandleSrc);
    h = sci_CropRaster(HandleSrc,BB(1),BB(2),BB(3),BB(4),nom) ;
    
endfunction
