// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
function [ STREAMS , downStream , downCell ] = MakeStreamLines ( tree , threshold , todivide )

if todivide then
    itodivide = 1;
else
    itodivide = 0;
end

[ TLIST , downStream , downCell ] = sci_MakeStreamLines ( tree , threshold , itodivide );

STREAMS = list();

for i=1:(lstsize(TLIST)-1) 
    STREAMS(i) = getfield(i+1,TLIST);
end

endfunction
