// 
// Copyright (C) 2013 UMPC
// 
// This file is part of CLaRiNet.
//  
// CLaRiNet is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// CLaRiNet is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with CLaRiNet.  If not, see <http://www.gnu.org/licenses/>.
function XY = rec2XY(Header, rec)
    
    XY = zeros(length(rec),2);
    
    if Header($)==0
        offset = 0.5;
    else
        offset = 0;
    end
    
    col = modulo(rec,Header(1));
    row = (rec - col)/Header(1);
    
    XY(:,1) = (col(:) + offset)*Header(3)+Header(4);
    XY(:,2) = (Header(2)-1-row(:) + offset )*Header(3)+Header(5);

endfunction
